Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.json
Class JsonHierarchicalStreamDriver

    java.lang.Object
      com.thoughtworks.xstream.io.json.JsonHierarchicalStreamDriver

All Implemented Interfaces:
  HierarchicalStreamDriver

    public class JsonHierarchicalStreamDriver

extends Object
implements HierarchicalStreamDriver

A driver for JSON that writes optimized JSON format, but is not able to deserialize the result.

Since:
  1.2
Author:
  Paul Hammant

Constructor Summary
`JsonHierarchicalStreamDriver()`

Method Summary
`HierarchicalStreamReader` | `createReader(InputStream in)`
`HierarchicalStreamReader` | `createReader(Reader in)`
`HierarchicalStreamWriter` | `createWriter(OutputStream out)`
`HierarchicalStreamWriter` | `createWriter(Writer out)` Create a HierarchicalStreamWriter that writes JSON.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonHierarchicalStreamDriver

    public JsonHierarchicalStreamDriver()

Method Detail

### createReader

    public HierarchicalStreamReader createReader(Reader in)

  Specified by:
    `createReader` in interface `HierarchicalStreamDriver`

### createReader

    public HierarchicalStreamReader createReader(InputStream in)

  Specified by:
    `createReader` in interface `HierarchicalStreamDriver`

### createWriter

    public HierarchicalStreamWriter createWriter(Writer out)

  Create a HierarchicalStreamWriter that writes JSON.

  Specified by:
    `createWriter` in interface `HierarchicalStreamDriver`

### createWriter

    public HierarchicalStreamWriter createWriter(OutputStream out)

  Specified by:
    `createWriter` in interface `HierarchicalStreamDriver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.